CPU Node limitation (on some CPU)
Closed, ResolvedPublic

Description

Hi !
If we use more than 100 nodes in cycles, they are only exploited under GPU, but not under CPU !
But only on some cpu !!!
On a P7450 and an I7 960 the bug happen, but under a i5 2550K not !!!!

I've spoken with Brecht during the bconf, and he suggested to me to push the info in this bug tracker, so here it is.

This bug have been seen under a 2.63.22 (graphicall/444) a 2.64 and a 2.64a from blender.org
here is the scene : http://octopod-studio.com/divers/physcallycorrectmatexamples001.blend
There is different case on every suzanne in the test scene ... but look at the middle one.
If you put an hdr in the world or not don't change anything.
here it come also two render test images.
Regards.
Myke.

dingto (Thomas Dinges) added a comment.Via Old WorldOct 18 2012, 11:55 AM

Hi,
I can see the difference between CPU and GPU.

But I don't get why it is different on several CPUs.
Do the different systems have different Operating systems, same build or different Blender builds? Thanks.

Hi !
I've tested with sames builds on 3 computers, with the official 2.64 , 2.64a and a 2.63.22 (r50896) it's the same results with each build.
I think the problem is comming from two specifications of the CPU.
First : with real cores on a second generation I5 no problem. But on hypertreading first generation , there is some problems.
With older cpu (core2duo) the problem occured systematically ...
Every machine are under seven 64 pro (same version).
So ... Perhaps it's coming from the instruction set on the cpu... Or memory manadgement problem between the system and the cpu...
i think we can't find the real reason without a complete debug/trace of execution (can't make this, i'm not at this level of programming ! )
Perhaps the problem is more deep in blender, because i've got same problems on baking on fx, simulations give not the same results !
Regards ...
Myke

brecht (Brecht Van Lommel) added a comment.Via Old WorldOct 24 2012, 11:48 AM

Just a small note that I can redo the problem, and know what's causing it. It's not a trivial fix so may take a few days before I get time to work on it.

Hi brecht !
Thanks a lot for your job !
Regards
Myke

brecht (Brecht Van Lommel) added a comment.Via Old WorldNov 26 2012, 10:59 PM

Sorry this took so long, but fix is in svn now. There's still some hardcoded limits, mainly due to GPU, but it should be able to handle more complex node setups now.

brecht (Brecht Van Lommel) closed this task as "Resolved".Via Old WorldNov 26 2012, 10:59 PM

Thanks a lot brecht :) we'll test it asap ...

Add Comment